# Uses of Class
org.eclipse.zest.layouts.dataStructures.DisplayIndependentPoint

Packages that use DisplayIndependentPoint
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.dataStructures
org.eclipse.zest.layouts.interfaces

## Uses of DisplayIndependentPoint in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return DisplayIndependentPoint
Modifier and Type
Method
Description
`DisplayIndependentPoint`
DefaultSubgraph.`getLocation()`
`DisplayIndependentPoint`
FigureSubgraph.`getLocation()`

## Uses of DisplayIndependentPoint in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms that return DisplayIndependentPoint
Modifier and Type
Method
Description
`protected DisplayIndependentPoint`
AbstractLayoutAlgorithm.Zest1.`getLocalLocation(InternalNode[] entitiesToLayout, double x, double y, DisplayIndependentRectangle realBounds)`
Deprecated.

## Uses of DisplayIndependentPoint in org.eclipse.zest.layouts.dataStructures

Subclasses of DisplayIndependentPoint in org.eclipse.zest.layouts.dataStructures
Modifier and Type
Class
Description
`class`
`BendPoint`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
Methods in org.eclipse.zest.layouts.dataStructures that return DisplayIndependentPoint
Modifier and Type
Method
Description
`DisplayIndependentPoint`
DisplayIndependentPoint.`convert(DisplayIndependentRectangle currentBounds, DisplayIndependentRectangle targetBounds)`
Create a new point based on the current point but in a new coordinate system
`DisplayIndependentPoint`
DisplayIndependentPoint.`convertFromPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values from a percentage of the specified coordinate system
`DisplayIndependentPoint`
DisplayIndependentPoint.`convertToPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values to a percentage of the specified coordinate system
`DisplayIndependentPoint`
InternalNode.`getInternalLocation()`
Deprecated.
Constructors in org.eclipse.zest.layouts.dataStructures with parameters of type DisplayIndependentPoint
Modifier
Constructor
Description
``
`DisplayIndependentPoint(DisplayIndependentPoint point)`

## Uses of DisplayIndependentPoint in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return DisplayIndependentPoint
Modifier and Type
Method
Description
`DisplayIndependentPoint`
EntityLayout.`getLocation()`
Returns a point laying in the center of this entity.